// priority: 0

onEvent('recipes', event => {
    //removals
    removeRecipeByID(event, [
        //alloys
		TC('compat/ceramics/alloy_porcelain'),
		TC('smeltery/alloys/molten_brass'),
		TC('smeltery/alloys/molten_bronze'),
		TC('smeltery/alloys/molten_constantan'),
		TC('smeltery/alloys/molten_electrum'),
		TC('smeltery/alloys/molten_enderium'),
		TC('smeltery/alloys/molten_hepatizon'),
		TC('smeltery/alloys/molten_invar'),
		TC('smeltery/alloys/molten_manyullyn'),
		TC('smeltery/alloys/molten_netherite'),
		TC('smeltery/alloys/molten_pig_iron'),
		TC('smeltery/alloys/molten_queens_slime'),
		TC('smeltery/alloys/molten_refined_obsidian'),
		TC('smeltery/alloys/molten_rose_gold'),
		TC('smeltery/alloys/molten_slimesteel'),
		TC('smeltery/alloys/molten_tinkers_bronze'),
		MAT('smeltery/alloys/molten_fairy'),
		MAT('smeltery/alloys/molten_pink_slime'),
		BC('smeltery/alloys/aeternium'),
		BC('smeltery/alloys/aurinium'),
		BC('smeltery/alloys/netheriteopal'),
		BC('smeltery/alloys/terminite_from_iron'),
		BC('smeltery/alloys/terminite_from_thallasium'),
		TA('smeltery/alloys/molten_cobalt_tantalum'),
		TA('smeltery/alloys/molten_galaxy_alloy'),
		TC('smeltery/casting/obsidian/pane'),
		TC('tools/modifiers/compat/the_one_probe'),
		// TC('tools/modifiers/ability/silky'),
    ])
	removeRecipeByOutput(event, [
		//armors
		/tconstruct:\b.*_(helmet|chestplate|leggings|boots)/,
	])
	event.remove({ type: TC("casting_table"), output: /mekanism:(ingot|nugget)_refined_./ })
	event.remove({ type: TC("casting_basin"), output: /mekanism:block_refined_./ })



    //alloys
	event.recipes.createMixing(Fluid.of(TC('molten_porcelain'), 4), [Fluid.of(TC('molten_clay'), 4), Fluid.of(TC('molten_quartz'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(TC('molten_brass'), 4), [Fluid.of(TC('molten_copper'), 4), Fluid.of(TC('molten_zinc'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_bronze'), 4), [Fluid.of(TC('molten_copper'), 4), Fluid.of(TC('molten_silver'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(TC('molten_constantan'), 4), [Fluid.of(TC('molten_copper'), 4), Fluid.of(TC('molten_nickel'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_electrum'), 4), [Fluid.of(TC('molten_gold'), 4), Fluid.of(TC('molten_silver'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_enderium'), 4), [Fluid.of(TC('molten_lead'), 4), Fluid.of(TC('molten_ender'), 4)]).processingTime(1).superheated()
	event.recipes.createMixing(Fluid.of(TC('molten_hepatizon'), 4), [Fluid.of(TC('molten_cobalt'), 4), Fluid.of(TC('molten_tinkers_bronze'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_invar'), 4), [Fluid.of(TC('molten_nickel'), 4), Fluid.of(TC('molten_iron'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_manyullyn'), 4), [Fluid.of(TC('molten_cobalt'), 4), Fluid.of(TC('molten_debris'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_netherite'), 4), [Fluid.of(TC('molten_debris'), 4), Fluid.of(TC('molten_gold'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_pig_iron'), 4), [Fluid.of(TC('molten_iron'), 4), Fluid.of(TC('blood'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(TC('molten_queens_slime'), 4), [Fluid.of(TC('molten_cobalt'), 4), Fluid.of(TC('magma'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TC('molten_rose_gold'), 4), [Fluid.of(TC('molten_copper'), 4), Fluid.of(TC('molten_gold'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(TC('molten_slimesteel'), 4), [Fluid.of(TC('molten_iron'), 4), Fluid.of(TC('sky_slime'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(TC('molten_tinkers_bronze'), 4), [Fluid.of(TC('molten_copper'), 4), Fluid.of(TC('molten_glass'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(MAT('molten_fairy'), 4), [Fluid.of(TC('liquid_soul'), 4), Fluid.of(MC('milk'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(BC('molten_aurinium'), 4), [Fluid.of(TC('molten_rose_gold'), 4), Fluid.of(TC('molten_manyullyn'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(TA('molten_tantalum'), 4), [Fluid.of(TC('liquid_soul'), 4), Fluid.of(TC('molten_diamond'), 4)]).processingTime(1)
	event.recipes.createMixing(Fluid.of(TA('molten_cobalt_tantalum'), 4), [Fluid.of(TC('molten_cobalt'), 4), Fluid.of(TA('molten_tantalum'), 4)]).processingTime(1).heated()
	event.recipes.createMixing(Fluid.of(TA('molten_galaxy_alloy'), 4), [Fluid.of(TC('molten_manyullyn'), 4), Fluid.of(TA('molten_cobalt_tantalum'), 4)]).processingTime(1).heated()
    event.recipes.createMixing(Fluid.of(EE("molten_cast_iron"), 4), [Fluid.of(TC("molten_aluminum"), 4), Fluid.of(TC("molten_obsidian"), 4)]).processingTime(1).heated()



	//obsidian pane
	const tMetal = Q("obsidian_pressure_plate")
	event.recipes.createSequencedAssembly([
		TC(`obsidian_pane`),
	], tMetal, [
		event.recipes.createPressing(tMetal, tMetal)
	]).transitionalItem(tMetal)
		.loops(16)
		.id(KJ(`obsidian_pane`))

	event.shapeless(Item.of(TC("dragon_scale"), 9), [MC("dragon_egg")])
})